pcl::StaticRangeCoder Class Reference

StaticRangeCoder compression class More...

`#include <pcl/compression/entropy_range_coder.h>`

## Public Member Functions

| StaticRangeCoder ()
| Constructor. More...
virtual | ~StaticRangeCoder ()
| Empty deconstructor. More...
unsigned long | encodeIntVectorToStream (std::vector< unsigned int > &inputIntVector_arg, std::ostream &outputByterStream_arg)
| Encode integer vector to output stream. More...
unsigned long | decodeStreamToIntVector (std::istream &inputByteStream_arg, std::vector< unsigned int > &outputIntVector_arg)
| Decode stream to output integer vector. More...
unsigned long | encodeCharVectorToStream (const std::vector< char > &inputByteVector_arg, std::ostream &outputByteStream_arg)
| Encode char vector to output stream. More...
unsigned long | decodeStreamToCharVector (std::istream &inputByteStream_arg, std::vector< char > &outputByteVector_arg)
| Decode char stream to output vector. More...

## Protected Types

typedef boost::uint32_t | DWord

## Protected Member Functions

double | Log2 (double n_arg)
| Helper function to calculate the binary logarithm. More...

## Detailed Description

StaticRangeCoder compression class

Note
  This class provides static range coding functionality.
  Its symbol probability/frequency table is precomputed and encoded to the output stream

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 118 of file entropy_range_coder.h.

## Member Typedef Documentation

typedef boost::uint32_t pcl::StaticRangeCoder::DWord

protected

Definition at line 166 of file entropy_range_coder.h.

## Constructor & Destructor Documentation

pcl::StaticRangeCoder::StaticRangeCoder | ( |  | ) |

inline

Constructor.

Definition at line 122 of file entropy_range_coder.h.

virtual pcl::StaticRangeCoder::~StaticRangeCoder | ( |  | ) |

inline virtual

Empty deconstructor.

Definition at line 129 of file entropy_range_coder.h.

References pcl::AdaptiveRangeCoder::decodeStreamToCharVector(), and pcl::AdaptiveRangeCoder::encodeCharVectorToStream().

## Member Function Documentation

unsigned long pcl::StaticRangeCoder::decodeStreamToCharVector | ( | std::istream & | inputByteStream_arg,
|  | std::vector< char > & | outputByteVector_arg
| ) |  |

Decode char stream to output vector.

Parameters

  inputByteStream_arg | input stream of compressed data
  outputByteVector_arg | decompressed output vector

Returns
  amount of bytes read from input stream

Definition at line 601 of file entropy_range_coder.hpp.

unsigned long pcl::StaticRangeCoder::decodeStreamToIntVector | ( | std::istream & | inputByteStream_arg,
|  | std::vector< unsigned int > & | outputIntVector_arg
| ) |  |

Decode stream to output integer vector.

Parameters

  inputByteStream_arg | input stream of compressed data
  outputIntVector_arg | decompressed output vector

Returns
  amount of bytes read from input stream

Definition at line 390 of file entropy_range_coder.hpp.

unsigned long pcl::StaticRangeCoder::encodeCharVectorToStream | ( | const std::vector< char > & | inputByteVector_arg,
|  | std::ostream & | outputByteStream_arg
| ) |  |

Encode char vector to output stream.

Parameters

  inputByteVector_arg | input vector
  outputByteStream_arg | output stream containing compressed data

Returns
  amount of bytes written to output stream

Definition at line 492 of file entropy_range_coder.hpp.

unsigned long pcl::StaticRangeCoder::encodeIntVectorToStream | ( | std::vector< unsigned int > & | inputIntVector_arg,
|  | std::ostream & | outputByterStream_arg
| ) |  |

Encode integer vector to output stream.

Parameters

  [in] | inputIntVector_arg | input vector
  [out] | outputByterStream_arg | output stream containing compressed data

Returns
  amount of bytes written to output stream

Definition at line 242 of file entropy_range_coder.hpp.

double pcl::StaticRangeCoder::Log2 | ( | double | n_arg | ) |

inline protected

Helper function to calculate the binary logarithm.

Parameters

  n_arg | some value

Returns
  binary logarithm (log2) of argument n_arg

Definition at line 173 of file entropy_range_coder.h.

The documentation for this class was generated from the following files:

- /build/pcl-6_P28C/pcl-1.7.2/io/include/pcl/compression/entropy_range_coder.h
- /build/pcl-6_P28C/pcl-1.7.2/io/include/pcl/compression/impl/entropy_range_coder.hpp